%define aurox_ver 12.0
%define rel 1

%define x11libdir %{_prefix}/X11R6/%{_lib}

Name:           wxGTK
Version:        2.6.3
Release:	4%{?dist}
Vendor:		AUROX
Summary:        GTK2 port of the wxWidgets GUI library
# The wxWindows licence is the LGPL with a specific exemption allowing
# distribution of derived binaries under any terms. (This will eventually
# change to be "wxWidgets License" once that is approved by OSI.)
License:        wxWidgets Library Licence
Group:          System Environment/Libraries
URL:            http://www.wxwidgets.org/
Source0:        http://dl.sf.net/wxwindows/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, zlib-devel >= 1.1.4
BuildRequires:  libpng-devel, libjpeg-devel, libtiff-devel
BuildRequires:  expat-devel, SDL-devel, libgnomeprintui22-devel
#BuildRequires:  xorg-x11-Mesa-libGL, xorg-x11-Mesa-libGLU

# all of these are for previous Fedora Extras sub-packages
Obsoletes:      wxGTK2 < %{version}-%{release}
Provides:       wxGTK2 = %{version}-%{release}
Obsoletes:      wxGTK-common < %{version}-%{release}
Provides:       wxGTK-common = %{version}-%{release}
Obsoletes:      wxGTK2-xrc < %{version}-%{release}
Obsoletes:      wxGTK-xrc < %{version}-%{release}
Provides:       wxGTK2-xrc = %{version}-%{release}
Provides:       wxGTK-xrc = %{version}-%{release}
Obsoletes:      wxGTK2-stc < %{version}-%{release}
Obsoletes:      wxGTK-stc < %{version}-%{release}
Provides:       wxGTK2-stc = %{version}-%{release}
Provides:       wxGTK-stc = %{version}-%{release}

%description
wxWidgets/GTK2 is the GTK2 port of the C++ cross-platform wxWidgets
GUI library, offering classes for all common GUI controls as well as a
comprehensive set of helper classes for most common application tasks,
ranging from networking to HTML display and image manipulation.


%package        devel
Group:          Development/Libraries
Summary:        Development files for the wxGTK2 library
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-gl = %{version}-%{release}
Requires:       gtk2-devel
Obsoletes:      wxGTK2-devel < %{version}-%{release}
Provides:       wxGTK2-devel = %{version}-%{release}
Obsoletes:      wxGTK-common-devel < %{version}-%{release}
Provides:       wxGTK-common-devel = %{version}-%{release}

%description devel
This package include files needed to link with the wxGTK2 library.


#%package        gl
#Summary:        OpenGL add-on for the wxWidgets library
#Group:          System Environment/Libraries
#Requires:       %{name} = %{version}-%{release}
#Obsoletes:      wxGTK2-gl < %{version}-%{release}
#Provides:       wxGTK2-gl = %{version}-%{release}

#%description gl
#OpenGL add-on for the wxWidgets library.


%prep
%setup
sed -i -e 's|/usr/lib\b|%{_libdir}|' wx-config.in configure


%build
# --disable-optimise prevents our $RPM_OPT_FLAGS being overridden
# (see OPTIMISE in configure).
export GDK_USE_XFT=1
%configure \
    --x-libraries=%{x11libdir} \
    --with-gtk=2 \
    --disable-opengl \
    --with-sdl \
    --with-gnomeprint \
    --enable-shared \
    --enable-soname \
    --disable-optimise \
    --enable-debug_info \
    --enable-unicode \
    --enable-compat22
make %{?_smp_mflags}
make %{?_smp_mflags} -C contrib/src/stc
make %{?_smp_mflags} -C contrib/src/ogl
make %{?_smp_mflags} -C contrib/src/gizmos
make %{?_smp_mflags} -C contrib/src/animate


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%makeinstall -C contrib/src/stc
%makeinstall -C contrib/src/ogl
%makeinstall -C contrib/src/gizmos
%makeinstall -C contrib/src/animate

# this ends up being a symlink into the buildroot directly --
# not what we want!
rm $RPM_BUILD_ROOT%{_bindir}/wx-config
ln -s %{_libdir}/wx/config/gtk2-unicode-release-2.6 $RPM_BUILD_ROOT%{_bindir}/wx-config

%find_lang wxstd
%find_lang wxmsw
cat wxmsw.lang >> wxstd.lang


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

#%post gl -p /sbin/ldconfig
#%postun gl -p /sbin/ldconfig


%files -f wxstd.lang
%defattr(-,root,root,-)
%doc CHANGES*.txt COPYING.LIB LICENCE.txt README*.txt
%{_libdir}/libwx_baseu-*.so.*
%{_libdir}/libwx_baseu_net-*.so.*
%{_libdir}/libwx_baseu_xml-*.so.*
%{_libdir}/libwx_gtk2u_adv-*.so.*
%{_libdir}/libwx_gtk2u_animate-*.so.*
%{_libdir}/libwx_gtk2u_core-*.so.*
%{_libdir}/libwx_gtk2u_gizmos-*.so.*
%{_libdir}/libwx_gtk2u_gizmos_xrc*.so.*
%{_libdir}/libwx_gtk2u_html-*.so.*
%{_libdir}/libwx_gtk2u_media-*.so.*
%{_libdir}/libwx_gtk2u_ogl-*.so.*
%{_libdir}/libwx_gtk2u_xrc-*.so.*
%{_libdir}/libwx_gtk2u_stc-*.so.*
%{_libdir}/libwx_gtk2u_qa-*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/wx-config
%{_bindir}/wxrc*
%{_includedir}/wx-2.6
%{_libdir}/libwx_*.so
%dir %{_libdir}/wx/
%dir %{_libdir}/wx/include/
%{_libdir}/wx/include/gtk2*
%dir %{_libdir}/wx/config/
%{_libdir}/wx/config/gtk2*
%{_datadir}/aclocal/*
%{_datadir}/bakefile/presets/

#%files gl
#%defattr(-,root,root,-)
#%{_libdir}/libwx_gtk2u_gl-*.so.*


%changelog
* Fri May 19 2006 Krzysztof Lojowski /AUROX Security Team/ <chris@aurox.org>
- rebuild for AUROX 12.0 release

* Tue Apr 18 2006 Krzysztof Lojowski /AUROX Security Team/ <chris@aurox.org>
- applying wxWidgets-2.6.3 patch in sourcecode
- applying wxWidgets-2.6.3 patch 2 in sourcecode
- rebuild for 2 release

* Tue Apr 18 2006 Krzysztof Lojowski /AUROX Security Team/ <chris@aurox.org>
- build for AUROX Linux distribution
- checking for aMULE crashes fixed in last patch for 2.6.2 version - fixed
- build for AUROX 11.2
